## org.eclipse.xsd
Enum XSDWhiteSpace

    java.lang.Object
      java.lang.Enum<XSDWhiteSpace>
          org.eclipse.xsd.XSDWhiteSpace

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XSDWhiteSpace>, Enumerator

    public enum XSDWhiteSpace

extends java.lang.Enum<XSDWhiteSpace>
implements Enumerator

A representation of the literals of the enumeration 'White Space'.

See Also:
  `XSDWhiteSpaceFacet.getValue()`, `XSDPackage.getXSDWhiteSpace()`

Enum Constant Summary
`COLLAPSE_LITERAL` The 'Collapse' literal object
`PRESERVE_LITERAL` The 'Preserve' literal object
`REPLACE_LITERAL` The 'Replace' literal object

Field Summary
`static int` `COLLAPSE` The 'Collapse' literal value
`static int` `PRESERVE` The 'Preserve' literal value
`static int` `REPLACE` The 'Replace' literal value
`static java.util.List<XSDWhiteSpace>` `VALUES` A public read-only list of all the 'White Space' enumerators

Method Summary
`static XSDWhiteSpace` `get(int value)` Returns the 'White Space' literal with the specified integer value
`static XSDWhiteSpace` `get(java.lang.String literal)` Returns the 'White Space' literal with the specified literal value
`static XSDWhiteSpace` `getByName(java.lang.String name)` Returns the 'White Space' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static XSDWhiteSpace` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XSDWhiteSpace[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PRESERVE_LITERAL

    public static final XSDWhiteSpace PRESERVE_LITERAL

  The 'Preserve' literal object.

  See Also:
    `PRESERVE`

### REPLACE_LITERAL

    public static final XSDWhiteSpace REPLACE_LITERAL

  The 'Replace' literal object.

  See Also:
    `REPLACE`

### COLLAPSE_LITERAL

    public static final XSDWhiteSpace COLLAPSE_LITERAL

  The 'Collapse' literal object.

  See Also:
    `COLLAPSE`

Field Detail

### PRESERVE

    public static final int PRESERVE

  The 'Preserve' literal value.

  This is used to indicate the white space is preserved.

  See Also:
    `PRESERVE_LITERAL`, Constant Field Values

### REPLACE

    public static final int REPLACE

  The 'Replace' literal value.

  This is used to indicate the white space is replaced.

  See Also:
    `REPLACE_LITERAL`, Constant Field Values

### COLLAPSE

    public static final int COLLAPSE

  The 'Collapse' literal value.

  This is used to indicate the white space is collapsed.

  See Also:
    `COLLAPSE_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<XSDWhiteSpace> VALUES

  A public read-only list of all the 'White Space' enumerators.

Method Detail

### values

    public static final XSDWhiteSpace[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XSDWhiteSpace c : XSDWhiteSpace.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XSDWhiteSpace valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static XSDWhiteSpace get(java.lang.String literal)

  Returns the 'White Space' literal with the specified literal value.

### getByName

    public static XSDWhiteSpace getByName(java.lang.String name)

  Returns the 'White Space' literal with the specified name.

### get

    public static XSDWhiteSpace get(int value)

  Returns the 'White Space' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<XSDWhiteSpace>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.